This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1468053 - [RFE] sosreport should ingest openstack-tripleo-ui logs
[RFE] sosreport should ingest openstack-tripleo-ui logs
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos (Show other bugs)
7.4
Unspecified Unspecified
high Severity urgent
: rc
: ---
Assigned To: Honza Pokorny
BaseOS QE - Apps
: FutureFeature, OtherQA, Reopened, ZStream
Depends On:
Blocks: 1467715 1470573
  Show dependency treegraph
 
Reported: 2017-07-05 19:16 EDT by Honza Pokorny
Modified: 2017-07-26 11:34 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Previously, the sosreport tool did not collect certain Openstack TripleO logs. Consequently, debugging of TripleO bugs was limited, and the logs had to be requested additionally. This update fixes the sosreport to collect the logs once again. As a result, sosreport now works as expected, and TripleO logs are now properly collected.
Story Points: ---
Clone Of:
: 1470573 (view as bug list)
Environment:
Last Closed: 2017-07-07 02:47:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 476199 None None None 2017-07-05 19:16 EDT
Github sosreport/sos/pull/1052 None None None 2017-07-12 09:09 EDT

  None (edit)
Description Honza Pokorny 2017-07-05 19:16:39 EDT

    
Comment 3 Pavel Moravec 2017-07-07 02:47:26 EDT
too late for 7.4, acking for 7.5
Comment 4 Red Hat Bugzilla Rules Engine 2017-07-07 02:47:32 EDT
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.
Comment 5 Pavel Moravec 2017-07-07 03:00:20 EDT
oops, I wanted devel_ack+, not -, sorry for that!
Comment 8 Honza Pokorny 2017-07-07 07:32:12 EDT
Pavel, we were hoping to release this as 0day errata for 7.4 --- is that possible?
Comment 10 Pavel Moravec 2017-07-07 09:29:59 EDT
(In reply to Honza Pokorny from comment #8)
> Pavel, we were hoping to release this as 0day errata for 7.4 --- is that
> possible?

From devel perspective, I am OK to add it to 7.4 via 0day. Please follow / initiate the process (esp. provide business justification that I miss / dont know at all - I guess the acceptance criteria are met due to layered products point/option) and I am happy to do my part.

Not sure if our QE would be able to verify it in the tight timeframe - Miroslav, could you comment?
Comment 13 Miroslav Hradílek 2017-07-10 12:48:18 EDT
OtherQE would be better in this case.
Comment 14 Pavel Moravec 2017-07-11 04:09:05 EDT
(In reply to Miroslav Hradílek from comment #13)
> OtherQE would be better in this case.

Honza, could you please confirm you will do OtherQE once I prepare a package? (add OtherQA to keywords for that)
Comment 15 Honza Pokorny 2017-07-11 09:15:27 EDT
Yes, I can handle OtherQE.
Comment 16 Pavel Moravec 2017-07-11 09:24:54 EDT
Re-raising needinfo on Steve:

Steve, can you please pm_ack the 0day request?

Note You need to log in before you can comment on or make changes to this bug.